FFMPEG Ftuff (old)

Install prerequisites:
— Install DAG —
yum install rpmforge-release
yum install gcc gcc-cpp gcc-c++ zlib-devel subversion ruby libcurses-ruby
(YAST)
yum install php-gd php-devel gcc gcc-c++ autoconf
yum install zlib-devel libmad-devel libvorbis-devel libtheora-devel lame-devel faac-devel a52dec-devel xvidcore-devel freetype-devel
 
mkdir -p /tmp/ffmpeg-packages
cd /tmp/ffmpeg-packages
 
Install a52 (http://liba52.sourceforge.net/)
—-
wget http://liba52.sourceforge.net/files/a52dec-0.7.4.tar.gz
tar -zxf a52dec-0.7.4.tar.gz
cd a52dec-0.7.4
./configure –enable-shared=PKGS
make && make install
cd ..
 
Installing FAAD2
—-
wget http://superb-east.dl.sourceforge.net/sourceforge/faac/faad2-2.7.tar.gz
tar -zxf faad2-2.7.tar.gz
cd faad2-2.7
autoreconf -vif
./configure –disable-drm –disable-mpeg4ip
make && make install
cd ..
 
—————————– TEST ———————————————
Installing FAAD
—-
wget http://internap.dl.sourceforge.net/sourceforge/faac/faad_src_20020104.tar.gz
tar -zxf faad_src_20020104.tar.gz
 
cd faad.dsw
autoreconf -vif
./configure –disable-drm –disable-mpeg4ip
make && make install
cd ..
—————————– TEST ———————————————
 
Installing FAAC
—-
wget http://superb-east.dl.sourceforge.net/sourceforge/faac/faac-1.28.tar.gz
tar zxfv faac-1.28.tar.gz
cd faac-1.28
./bootstrap
./configure –disable-mp4v2
make && make install
cd ..
 
Installing LAME
—-
wget http://internap.dl.sourceforge.net/sourceforge/lame/lame-398-2.tar.gz
tar zxfv lame-398-2.tar.gz
cd lame-398-2
./configure
make && make install
cd ..
 
Installing yasm (update here: http://www.tortall.net/projects/yasm/wiki/Download)
—-
wget http://www.tortall.net/projects/yasm/releases/yasm-0.7.2.tar.gz
tar zfvx yasm-0.7.2.tar.gz
cd yasm-0.7.2
./configure
make && make install
cd ..
 
Installing x264 (grab daily tarball here ftp://ftp.videolan.org/pub/videolan/x264/snapshots/)
—-
wget ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-20090227-2245.tar.bz2
bzip2 -d x264-snapshot-20090227-2245.tar.bz2
tar xfv x264-snapshot-20090227-2245.tar
cd x264-snapshot-20090227-2245
./configure –enable-mp4-output –enable-shared –enable-pthread
make && make install
cd ..
 
—————————————————————————————
For solving the problem with x264
—-
wget http://kernel.org/pub/software/scm/git/git-1.6.1.tar.gz
tar xvfz git-1.6.1.tar.gz
cd git-1.6.1
git clone git://git.videolan.org/x264.git
cd x264
./configure –enable-shared –prefix=/usr && make && sudo make install
—————————————————————————————
./configure –enable-shared
 
Installing Xvid
—-
wget http://downloads.xvid.org/downloads/xvidcore-1.2.1.tar.gz
tar zxfv xvidcore-1.2.1.tar.gz
cd xvidcore/build/generic
./configure
make && make install
cd ../../..
 
Installing libraw1394 (http://www.linux1394.org/)
—-
wget http://www.linux1394.org/dl/libraw1394-2.0.2.tar.gz
tar zxfv libraw1394-2.0.2.tar.gz
cd libraw1394-2.0.2
./configure
make dev
make && make install
cd ..
 
Installing libdc1394-1 (http://sourceforge.net/project/showfiles.php?group_id=8157)
—-
wget http://superb-east.dl.sourceforge.net/sourceforge/libdc1394/libdc1394-1.2.2.tar.gz
tar zxfv libdc1394-1.2.2.tar.gz
cd libdc1394-1.2.2
./configure
make && make install
cd ..
 
Installing libdc1394-2 (http://sourceforge.net/project/showfiles.php?group_id=8157)
—-
wget http://voxel.dl.sourceforge.net/sourceforge/libdc1394/libdc1394-2.1.0.tar.gz
tar zxfv libdc1394-2.1.0.tar.gz
cd libdc1394-2.1.0
./configure
make && make install
cd ..
 
Didn’t work, so I cheated:
yum install libdc1394 libdc1394-devel libdraw1394-devel
 
Installing ffmpeg (http://ffmpeg.mplayerhq.hu/download.html)
—-
cd /tmp/ffmpeg-packages
git clone git://git.ffmpeg.org/ffmpeg/
git clone git://git.ffmpeg.org/libswscale/
svn checkout svn://svn.mplayerhq.hu/ffmpeg/trunk ffmpeg
cd ffmpeg
./configure –enable-shared –enable-gpl  –enable-postproc –enable-nonfree –enable-postproc –enable-libfaad –enable-avfilter –enable-pthreads –enable-libxvid –enable-libx264 –enable-libmp3lame –enable-libdc1394 –enable-libfaac –enable-libvorbis –enable-libtheora
make
make install
—- Non-working ./configure ————
./configure –prefix=/usr –libdir=/usr/lib64 –mandir=/usr/share/man –incdir=/usr/include/ffmpeg –extra-cflags=-fPIC –enable-libmp3lame –enable-libvorbis –enable-libtheora –enable-libfaad –enable-libfaac –enable-libgsm –enable-libx264 –enable-shared –enable-pthreads –enable-gpl
 
./configure –enable-gpl  –enable-postproc –enable-nonfree –enable-postproc –enable-libfaad –enable-swscale –enable-avfilter –enable-pthreads –enable-libxvid –enable-libx264 –enable-libmp3lame –enable-libdc1394 –enable-liba52 –enable-libfaac –disable-ffserver –disable-ffplay
—- —————————— —-
 
Post-Installation Actions
—-
After the install in complete, you may need to add the /usr/local/lib directory to your ld.so.config file. Do the following:
vim /etc/ld.so.conf.d/ffmpeg.conf
—-
You need to add ‘/usr/local/lib’ [sans-quotes] to this file and save it. Press Esc, :, x to do so in vi. Afterwords you need to run the following from the commandline
# ldconfig
 
1. Check whether “/usr/local/include/ffmpeg” directory is created while installing ffmpeg. If not, create this directory.
 
———————– Solve some FFMPEG-PHP header missing problems —————
mkdir /usr/local/include/ffmpeg
 
2. Copy the necessary ffmpeg header files to “/usr/local/include/ffmpeg”
 
cp -p /usr/include/ffmpeg/libavformat/avio.h /usr/include/ffmpeg
cp -p /usr/include/ffmpeg/libavformat/avformat.h /usr/include/ffmpeg
cp -p /usr/include/ffmpeg/libavcodec/avcodec.h /usr/include/ffmpeg
cp -p /usr/include/ffmpeg/libswscale/swscale.h /usr/include/ffmpeg
 
3. Once you have done this you need to install your ffmpeg(not ffmpeg-php) package again. After installing the ffmpeg, install ffmpeg-php.
—————————————————————————————-
 
————-Install FFMPEG-PHP ————-
yum install ffmpeg-devel ffmpeg-libpostproc php-gd php-devel gcc gcc-c++ autoconf
—– Make a download folder for ffmpeg-php ——-
cd /var
wget http://downloads.sourceforge.net/ffmpeg-php/ffmpeg-php-0.6.0.tbz2?use_mirror=voxel
tar -xjf ffmpeg-php-0.6.0.tbz2
cd ffmpeg-php-0.6.0
phpize
./configure && make
sudo make install
yum install mplayer mencoder flvtool2
 
—————————————————————————————
For solving the problem with x264
—-
wget http://kernel.org/pub/software/scm/git/git-1.6.1.tar.gz
tar xvfz git-1.6.1.tar.gz
cd git-1.6.1
git clone git://git.videolan.org/x264.git
cd x264
./configure –enable-shared –prefix=/usr && make && sudo make install
—————————————————————————————
Other fragmented notes from no where:
 
The laziest way:
yum install httpd gnome-user-share mod_perl mod_python mod_ssl php php-devel phpmyadmin system-config-httpd webalizer php-cli php-common php-eaccelerator php-gd php-ldap php-mbstring php-mcrypt php-mysql php-odbc php-pdo
yum install ffmpeg ffmpeg-devel
 
Auto Installer way:
cd /home/ffmpeg-sources
wget ovh.dl.sourceforge.net/sourceforge/ffmpeginstall/ffmpeginstall.3.2.1.tar.gz
tar -xzvf ffmpeginstall.3.2.1.tar.gz
cd ffmpeginstall.3.2.1
./install.sh
follow instructions and enter path to php.ini (/etc/php.ini)
 
Install prerequisites:
yum -y install gcc gcc-cpp gcc-c++ zlib-devel git-svn ruby libcurses-ruby php-gd php-devel autoconf automake libtool git subversion ruby freetype ncurses-devel freetype-devel
——- The below line is if you’re lazy ———
yum -y install a52 faad2 faac lame yasm gpac x264 x265 xvid libdraw1394 libdc1394-2 LIBVORBIS libogg LIBTHEORA gsm
 
Untested command – may not be necessary:
yum install zlib-devel libmad-devel libvorbis-devel libtheora-devel lame-devel faac-devel a52dec-devel xvidcore-devel
 
Note: the following are already installed in the system by having Centos 5.2 and DAG/RPMForge updated
libraw1394 1.3.0-1.el5 (not updated yet)
libtheora 1.0alpha7-1.x86_64
libvorbis 1:1.1.2-3.el5_1.2.x86_64
 
Create a container for FFMPEG sources:
mkdir /var/ffmpeg-sources
cd /var/ffmpeg-sources
 
Install a52 (http://liba52.sourceforge.net/)
—-
cd /home/ffmpeg-sources
wget http://liba52.sourceforge.net/files/a52dec-0.7.4.tar.gz
tar -zxf a52dec-0.7.4.tar.gz
cd a52dec-0.7.4
./configure –enable-shared=PKGS
make && make install
 
Installing FAAD2 (Check updates http://www.audiocoding.com/)
—-
cd /home/ffmpeg-sources
wget http://downloads.sourceforge.net/project/faac/faad2-src/faad2-2.7/faad2-2.7.tar.gz?use_mirror=softlayer
tar -zxf faad2-2.7.tar.gz
cd faad2-2.7
autoreconf -vif
./configure
make && make install
 
Installing FAAC Audio Encoder (http://www.audiocoding.com/)
—-
cd /home/ffmpeg-sources
wget http://superb-east.dl.sourceforge.net/sourceforge/faac/faac-1.28.tar.gz
tar zxfv faac-1.28.tar.gz
cd faac-1.28
./bootstrap
./configure
make && make install
 
LAME MP3 Encoder
—-
cd /home/ffmpeg-sources
wget http://internap.dl.sourceforge.net/sourceforge/lame/lame-398-2.tar.gz
tar zxfv lame-398-2.tar.gz
cd lame-398-2
./configure
make
make install
 
Installing yasm – An Assembly language (update here: http://www.tortall.net/projects/yasm/wiki/Download)
—- Had to use “yum install yasm” because below has errors —–
cd /home/ffmpeg-sources
wget http://www.tortall.net/projects/yasm/releases/yasm-0.8.0.tar.gz
tar zfvx yasm-0.8.0.tar.gz
cd yasm-0.8.0
./configure
make && make install
 
Install GPAC
cd /home/ffmpeg-sources
wget http://downloads.sourceforge.net/project/gpac/GPAC/GPAC%200.4.5/gpac-0.4.5.tar.gz?use_mirror=softlayer
tar -xzvf gpac-0.4.5.tar.gz
cd gpac
chmod +x configure
./configure
make
make install
make install-lib
  • GLUT component causing “-lglut” errors
  • yum install freeglut
  • Source: http://forums.nvidia.com/lofiversion/index.php?t46575.html
    Typically this is because the SDK makefiles look for libglut.so and not for
    variants of it (like libglut.so.3). To confirm this is the problem, simply
    run the following command.
     
    ldconfig -p | grep glut
     
    You should see the following (or similar) output.
     
    lrwxrwxrwx 1 root root 16 Jan 9 14:06 libglut.so.3 -> libglut.so.3.8.0
    -rwxr-xr-x 1 root root 164584 Aug 14 2004 libglut.so.3.8.0
     
    If you have libglut.so.3 in /usr/lib, simply run the following command
    as root.
     
    ln -s /usr/lib64/libglut.so.3 /usr/lib64/libglut.so
—————- x264 ————-
x264 & LIBx264
cd /home/ffmpeg-sources
git clone git://git.videolan.org/x264.git
cd x264
./configure –enable-pthread –enable-mp4-output –enable-shared
make
make install
 
Update the links to the shared libraries
# ldconfig
 
———————— Untested ——————————————————
For solving the problem with x264
—-
cd /var/ffmpeg-sources
wget http://kernel.org/pub/software/scm/git/git-1.6.1.tar.gz
tar xvfz git-1.6.1.tar.gz
cd git-1.6.1
git clone git://git.videolan.org/x264.git
cd x264
./configure –enable-shared && make && sudo make install
 
— unsure —
./configure –enable-shared –prefix=/usr && make && sudo make install
 
—————————————————————————————
 
Installing Xvid (Check updates: http://www.xvid.org/)
—-
cd /home/ffmpeg-sources
wget http://downloads.xvid.org/downloads/xvidcore-1.2.2.tar.gz
tar zxfv xvidcore-1.2.2.tar.gz
cd xvidcore/build/generic
./configure
make
make install
 
Installing libraw1394 (http://sourceforge.net/projects/libraw1394/files/)
—-
cd /home/ffmpeg-sources
wget http://sourceforge.net/projects/libraw1394/files/libraw1394/libraw1394-2.0.4.tar.gz/download
tar zxfv libraw1394-2.0.4.tar.gz
cd libraw1394-2.0.4
./configure
make && make install
 
Installing libdc1394-2 (http://sourceforge.net/project/showfiles.php?group_id=8157)
—-
cd /home/ffmpeg-sources
wget http://downloads.sourceforge.net/project/libdc1394/libdc1394-2/2.1.2/libdc1394-2.1.2.tar.gz?use_mirror=softlayer
tar zxfv libdc1394-2.1.2.tar.gz
cd libdc1394-2.1.2
./configure
make && make install
 
libvorbis & libogg Vorbis is a fully open, non-proprietary, patent-and royalty-free, general-purpose compressed audio format for audio and music at fixed and variable bitrates from 16 to 128 kbps/channel. The libvorbis package contains runtime libraries for use in programs that support Ogg Vorbis. Ogg must be installed prior to Libvorbis
Check update: http://www.xiph.org/downloads/
—- Libogg —
cd /home/ffmpeg-sources
wget http://downloads.xiph.org/releases/ogg/libogg-1.1.4.tar.gz
tar -xzvf libogg-1.1.4.tar.gz
cd libogg-1.1.4
./configure
make && make install
—- Libvorbis —
cd /home/ffmpeg-sources
wget http://downloads.xiph.org/releases/vorbis/libvorbis-1.2.3.tar.gz
tar -xzvf libvorbis-1.2.3.tar.gz
cd libvorbis-1.2.3
./configure
make && make install
 
libtheora Theora is a free and open video compression format from the Xiph.org Foundation. Requires Libogg!!!
Check update: http://www.xiph.org/downloads/
—-
cd /home/ffmpeg-sources
wget http://downloads.xiph.org/releases/theora/libtheora-1.1.1.tar.bz2
tar -xjvf libtheora-1.1.1.tar.bz2
cd libtheora-1.1.1
./configure
make && make install
 
Update the links to the shared libs
# ldconfig
 
GSM Lossy Speech Compression
Author’s website: http://user.cs.tu-berlin.de/~jutta/toast.html
—- Errors with install this, so just use yum install gsm gsm-devel —
cd /home/ffmpeg-sources
wget http://user.cs.tu-berlin.de/%7Ejutta/gsm/gsm-1.0.13.tar.gz
tar -xvzf gsm-1.0.13.tar.gz
cd gsm-1.0-pl13
make && make install
 
 
 
Older version install instructions:
—-
Install libgsm1-dev (aka: libgsm)
—-
cd /var/ffmpeg-sources
wget http://user.cs.tu-berlin.de/~jutta/gsm/gsm-1.0.12.tar.gz
tar xzvf gsm-1.0.12.tar.gz
cd gsm-1.0-pl12
vim Makefile
—-
INSTALL_ROOT   = /usr     <====== type “/usr/local”
GSM_INSTALL_INC = $(GSM_INSTALL_ROOT)/include     <===== type “include”
—-
make
make install
Note: there will be some errors, just ignore them – ./configure FFMPEG and you’ll see that GSM is installed
 
AMR (http://www.penguin.cz/~utx/amr)
3G cellphones use the AMR wideband and narrowband codecs for audio streams in .3gp video files.
Only install this if you are including these in FFMPEG ./configure
=== AMRWB Codecs ===
cd /home/ffmpeg-sources 
wget http://ftp.penguin.cz/pub/users/utx/amr/amrwb-7.0.0.3.tar.bz2
tar -xjf amrwb-7.0.0.3.tar.bz2
cd amrwb-7.0.0.3
./configure
make && make install
=== AMRNB Codecs ===
cd /home/ffmpeg-sources 
wget http://ftp.penguin.cz/pub/users/utx/amr/amrnb-7.0.0.2.tar.bz2
tar -xjf amrnb-7.0.0.2.tar.bz2
cd amrnb-7.0.0.2
./configure
make && make install
—-
Make sure that that your /etc/ld.so.conf includes the directory where these 3 libraries just got installed (usually its /usr/local/lib). Mine didn’t so I had to add it:
  • create the file /etc/ld.so.conf.d/ffmpeg.conf
  • add the line /usr/local/lib
  • then run ldconfig
FLAC / LIBFLAC – Free Lossless Audio Codec
Check updates: http://flac.sourceforge.net/download.html
—-
cd /home/ffmpeg-sources
wget http://downloads.xiph.org/releases/flac/flac-1.2.1.tar.gz
tar -xzvf flac-1.2.1.tar.gz
cd flac-1.2.1
./configure
make && make install
 
SWSCALE Video scaler, part of FFMPEG coding
Codecs included in the FFMPEG Subversion
 
PTHREADS multi-threading, part of FFMPEG coding
Codecs included in the FFMPEG Subversion
 
x11GRAB
Codecs included in the FFMPEG Subversion
 
POSTPROC
Codecs included in the FFMPEG Subversion
 
FFMPEG (http://ffmpeg.mplayerhq.hu/download.html)
—-
cd /home/ffmpeg-sources
svn checkout svn://svn.mplayerhq.hu/ffmpeg/trunk ffmpeg
cd ffmpeg
./configure –prefix=/usr –libdir=/usr/lib64 –mandir=/usr/share/man –shlibdir=/usr/lib64 –enable-shared –extra-cflags=-fPIC –enable-libmp3lame –enable-libvorbis –enable-postproc –enable-pthreads –enable-x11grab –enable-libdc1394 –enable-libfaac –enable-libfaad –enable-libfaadbin –enable-libtheora –enable-libx264 –enable-libxvid –disable-stripping –enable-gpl –enable-small –enable-bzlib –enable-zlib –enable-nonfree –enable-libgsm
 
NOT WORKING –enable-libopencore-amrnb –enable-libopencore-amrwb –enable-version3
— OR —
./configure –enable-shared –extra-cflags=-fPIC –enable-libmp3lame –enable-libvorbis –enable-postproc –enable-pthreads –enable-x11grab –enable-libdc1394 –enable-libfaac –enable-libfaad –enable-libfaadbin –enable-libtheora –enable-libx264 –enable-libxvid –disable-stripping –enable-gpl –enable-small –enable-bzlib –enable-zlib –enable-nonfree –enable-libgsm –enable-libopencore-amrnb –enable-libopencore-amrwb –enable-version3
make
make install
 
—- Non-free codecs —-
–enable-nonfree –enable-libamr_wb –enable-libamr_nb
—- —————————— —-
 
Post-Installation Actions
———————————————————-
After the install in complete, you may need to add the /usr/local/lib directory to your ld.so.config file. Make a new file called ffmpeg.conf:
# cd /etc/ld.so.conf.d
# vim ffmpeg.conf
—- insert this line into the new file —
/usr/local/lib
—-
# sudo ldconfig -v
———————————————————-
set selinux to allow libavcodec.so.52:
# chcon -t textrel_shlib_t /usr/local/lib/libavcodec.so.52
 
===============================================================================================
How to remove FFMPEG:
yum -y remove faad2 faac lame yasm x264 x264-devel libdc1394 libvorbis libogg libtheora gsm amrwb amrnb flac ffmpeg ffmpeg-devel arts firstboot lame-devel gsm-devel amrnb-devel amrwb-devel faac-devel faad2-devel libsndfile sox speex twolame vorbis-tools system-config-keyboard system-config-soundcard flvtool2 mencoder mplayer ffmpeg-libpostproc
 
 
Reinstall so that all libraries are compatible:
yum -y update libtool-ltdl libtool-ltdl-devel libstdc gcc gcc-c++ libgcc gd gd-devel gettext freetype freetype-devel ImageMagick ImageMagick-devel libpng libpng-devel libstdc++44 libstdc++ libtiff libtiff-devel libungif libungif-devel libxml2 libxml2-python zlib-devel automake
 
yum -y install ffmpeg ffmpeg-devel faad2 faac lame yasm x264 x264-devel libdc1394 libvorbis libogg libtheora gsm amrwb amrnb flac ffmpeg ffmpeg-devel arts firstboot lame-devel gsm-devel amrnb-devel amrwb-devel faac-devel faad2-devel libsndfile sox speex twolame vorbis-tools system-config-keyboard system-config-soundcard flvtool2 mencoder mplayer
 
Install ffmpeg-php
Dont forget to configure uploading size and everything
Verify ffmpeg installation:
php -i | grep -i ffmpeg
==============================================================================================
 
Install Mencoder
 
Get latest version of mencoder (mplayer) from svn:
—-
cd /home/ffmpeg-sources
svn checkout svn://svn.mplayerhq.hu/mplayer/trunk mplayer
cd mplayer
./configure
make
make install
 
get codecs (check for latest release and download the correct version x86 or AMD64):
—-
cd /home/ffmpeg-sources
wget http://www3.mplayerhq.hu/MPlayer/releases/codecs/essential-amd64-20071007.tar.bz2
tar xvjf essential-amd64-20071007.tar.bz2
 
Create and import the Codecs directory:
—-
mkdir /usr/local/lib/codecs/
mv essential-amd64-20071007/* /usr/local/lib/codecs/
chmod -Rf 755 /usr/local/lib/codecs/
 
 
 
============================================================================================================
Install flvtool2 (check for latest release):
cd /home/ffmpeg-sources
wget http://rubyforge.org/frs/download.php/17497/flvtool2-1.0.6.tgz
tar -zxvf flvtool2-1.0.6.tgz
cd flvtool2-1.0.6
ruby setup.rb config
ruby setup.rb setup
ruby setup.rb install
 
========================================================================================================
Install FFMPEG-PHP(check for latest release):
 
cd /home/ffmpeg-sources
wget http://downloads.sourceforge.net/ffmpeg-php/ffmpeg-php-0.6.0.tbz2?use_mirror=voxel
tar -xjf ffmpeg-php-0.6.0.tbz2
cd ffmpeg-php-0.6.0
vim ffmpeg_frame.c
Now run this command:
:%s/PIX_FMT_RGBA32/PIX_FMT_RGB32
phpize
./configure
make
make install
 
Source: http://panchathan.wordpress.com/2009/05/03/make-ffmpeg_framelo-error-1/
If you get the following error while compiling ffmpeg-php module,
make: *** [ffmpeg_frame.lo] Error 1
 
then use the command to fix it “cp ffmpeg_frame.loT ffmpeg_frame.lo” and compile ffmpeg-php once again.
 
 
 
—— Edit PHP.INI Add at the end of file ——-
vim /etc/php.ini
—- Add at the end —-
[ffmpeg]
extension=ffmpeg.so
service httpd restart
FFMPEG Versions March 2009 with Repositories (Repo) as Default
ATRpms:
FFmpeg version SVN-r16671, Copyright (c) 2000-2009 Fabrice Bellard, et al.
  configuration: –prefix=/usr –libdir=/usr/lib64 –shlibdir=/usr/lib64 –mandir=/usr/share/man –enable-shared –enable-gpl –enable-postproc –enable-swscale –enable-pthreads –enable-x11grab –disable-avisynth –disable-libamr-nb –disable-libamr-wb –enable-libdc1394 –enable-libfaac –enable-libfaad –enable-libfaadbin –enable-libmp3lame –enable-libtheora –enable-libvorbis –enable-libx264 –enable-libxvid –extra-cflags=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector –param=ssp-buffer-size=4 -m64 -mtune=generic -fPIC –disable-stripping
 
DAG / RPMForge:
FFmpeg version SVN-rUNKNOWN, Copyright (c) 2000-2007 Fabrice Bellard, et al.
  configuration: –prefix=/usr –libdir=/usr/lib64 –mandir=/usr/share/man –incdir=/usr/include/ffmpeg –extra-cflags=-fPIC –enable-libmp3lame –enable-libogg –enable-libvorbis –enable-libogg –enable-libtheora –enable-libfaad –enable-libfaac –enable-libgsm –enable-xvid –enable-x264 –enable-liba52 –enable-liba52bin –enable-pp –enable-shared –enable-pthreads –enable-gpl –disable-strip
  libavutil version: 49.4.0
  libavcodec version: 51.40.4
  libavformat version: 51.12.1
  built on Jun  4 2007 10:46:34, gcc: 4.1.1 20070105 (Red Hat 4.1.1-52)
ffmpeg      SVN-rUNKNOWN
libavutil   3212288
libavcodec  3352580
libavformat 3345409
 
EPEL/RPMFusion:
FFMPEG not configured as share=enabled
 

Other notes found randomly:

Easy Way: http://ffmpeginstall.sourceforge.net/release/
Easier Way: http://dag.wieers.com/rpm/FAQ.php#B
More easy: http://www.netbrix.net/archives/20 (most applicable information here)
 
This applies to CentOS 5 X86_64
1. rpm -Uhv http://apt.sw.be/packages/rpmforge-release/rpmforge-release-0.3.6-1.el5.rf.x86_64.rpm
2. Install app-get
a. wget http://dag.wieers.com/rpm/packages/apt/apt-0.5.15lorg3.2-1.el5.rf.x86_64.rpm
b. rpm -Uhv apt-0.5.15lorg3.2-1.el5.rf.x86_64.rpm
3. Upgrade/update
a. apt-get update
b. apt-get upgrade
c. yum update
4. Search for software
a. apt-cache search <keyword>
b. apt-cache show <name of package>
c. yum install <name of package> (only yum can resolve dependencies)
5. Apt-get maintenance
a. apt-get clean
 
Rayzz Related:
a. yum install freetype
b. yum install mplayer
c. yum install mencoder
d. yum install Flvtool2
e. yum install gd
f. yum install lame-devel.x86_64
g. yum install vorbis
 
g. Install FFMPEG with –enabled-share option
– yum install ffmpeg-devel (install the developer files for FFMPEG)
– yum install subversion
– Installing ffmpeg (http://www.webhostingtalk.com/archive/index.php/t-565563.html)
32) rpm -q subversion If not install, then install subversion
33)svn checkout svn://svn.mplayerhq.hu/ffmpeg/trunk ffmpeg && cd ffmpeg
34) ./configure –enable-shared –enable-xvid –enable-vorbis –enable-libogg –enable-mp3lame –enable-gpl –enable-faad –enable-faac –enable-a52
35)make
36)make install
– wget http://www4.mplayerhq.hu/MPlayer/releases/MPlayer-1.0rc2.tar.bz2
– tar jxvf MPlayer-1.0rc2.tar.bz2.1
– cd MPlayer-1.0rc2
– ./configure –enable-mp3lame –enable-libogg –enable-vorbis –enable-shared
 
g. Install the XAMPP developer package
– wget http://www.apachefriends.org/download.php?xampp-linux-devel-1.6.4.tar.gz
– tar xvfz xampp-linux-devel-1.6.4.tar.gz -C /opt
 
h. Install Xdebug
– wget http://www.xdebug.com/link.php?url=xdebug201
– tar xvfz xdebug-2.0.1.tgz
i. Yum install up2date
j. AUTOCONF
wget http://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
tar -zxf autoconf-2.60.tar.gz
cd autoconf-2.60
./configure “-prefix=$HOME”
make
make install
k. yum install gcc gcc-c++
l. Get ffmpeg-php
– wget http://superb-west.dl.sourceforge.net/sourceforge/ffmpeg-php/ffmpeg-php-0.5.1.tbz2
– tar jxvf ffmpeg-php-0.5.1.tbz2
– cd ffmpeg-php-0.5.1
– phpize
– ./configure –with-php-config=/opt/lampp/bin/php-config
– make
– make install
– echo ‘extension=/opt/lampp/lib/php/extensions/no-debug-non-zts-20060613/ffmpeg.so’ >> /opt/lampp/etc/php.ini (this will append to your php.ini file!!!)
 
 
 
 
—————- Required by Rayzz ———————————————–
FFmpeg (http://ffmpeg.mplayerhq.hu)
FFmpeg-PHP (http://ffmpeg-php.sourceforge.net)
Mplayer + Mencoder (http://www.mplayerhq.hu/design7/dload.html)
flv2tool (http://inlet-media.de/flvtool2)
Libogg + Libvorbis (http://www.xiph.org/downloads)
LAME MP3 Encoder (http://lame.sourceforge.net) 
———————————————————————————————
 
Code:
rpm -Uhv http://apt.sw.be/packages/rpmforge-r…l4.rf.i386.rpm
Code:
yum update
Code:
yum install ffmpeg ffmpeg-devel
And in you can use “yum search “softwarename” to find software you are looking for. When you find the software just “yum install softwareyoufound”
 
Now, youre on your own on the php module, you can find the walkthrough on it by googling ffmpeg-php
Posted on Categories Linux

Leave a Reply

Your email address will not be published. Required fields are marked *